/**
 *   Copyright 2010 Guardian News And Media
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 **/

package com.gu.openplatform.contentapi;

public class ContentTagType extends ApiObject {

    public static final ContentTagType article = typeForId("type/article");
    public static final ContentTagType gallery = typeForId("type/gallery");
    public static final ContentTagType audio = typeForId("type/audio");
    public static final ContentTagType crossword = typeForId("type/crossword");
    public static final ContentTagType video = typeForId("type/video");
    public static final ContentTagType cartoon = typeForId("type/cartoon");
    public static final ContentTagType table = typeForId("type/table");
    public static final ContentTagType quiz = typeForId("type/quiz");
    public static final ContentTagType document = typeForId("type/document");

    public static final ContentTagType all = typeForId("type/all");

    public static ContentTagType typeForId(String id) {
        return new ContentTagType(id);
    }

    private ContentTagType(String id) {
        super(id);
    }
}
