package com.gu.openplatform.contentapi;

import org.joda.time.DateTime;

import java.net.URL;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Copyright 2010 Guardian News And Media
 * <p/>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p/>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p/>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

abstract class MutableContent extends ApiObject {

    protected final Map<String, String> fields = new HashMap<String, String>();
    protected final List<Tag> allTags = new ArrayList<Tag>();

    protected String sectionId;
    protected String sectionName;
    protected DateTime webPublicationDateTime;
    protected String webTitle;
    protected URL webUrl;
    protected URL apiUrl;

    protected MutableContent(String id) {
        super(id);
    }

    void setSectionId(String sectionId) {
        this.sectionId = sectionId;
    }

    void setWebUrl(URL webUrl) {
        this.webUrl = webUrl;
    }

    void setWebTitle(String webTitle) {
        this.webTitle = webTitle;
    }

    void setWebPublicationDate(DateTime webPublicationDate) {
        this.webPublicationDateTime = webPublicationDate;
    }

    void setApiUrl(URL apiUrl) {
        this.apiUrl = apiUrl;
    }

    void addField(String fieldName, String fieldValue) {
        fields.put(fieldName, fieldValue);
    }

    void setSectionName(String sectionName) {
        this.sectionName = sectionName;
    }

    void addTag(Tag tag) {
        allTags.add(tag);
    }
}
