/**
 *   Copyright 2010 Guardian News And Media 
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 **/

package com.gu.openplatform.contentapi;

import net.sf.json.JSONObject;

abstract class PaginatedJsonParser extends JsonParser {

    @Override
    protected void populateCoreResponseFields(ApiResponse apiResponse, JSONObject jsonResponse) {
        super.populateCoreResponseFields(apiResponse, jsonResponse);

        if (apiResponse instanceof PaginatedSearchResult) {
            PaginatedSearchResult paginatedSearchResult = (PaginatedSearchResult) apiResponse;
            paginatedSearchResult.setStartIndex(jsonResponse.getInt("startIndex"));
            paginatedSearchResult.setPageSize(jsonResponse.getInt("pageSize"));
            paginatedSearchResult.setCurrentPage(jsonResponse.getInt("currentPage"));
            paginatedSearchResult.setPages(jsonResponse.getInt("pages"));
        }
    }
}
