package com.gu.example;

import com.gu.openplatform.contentapi.*;
import net.sf.json.JSONObject;
import org.junit.Test;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.core.IsNull.notNullValue;
import static org.junit.Assert.fail;

public class ExampleJsonTest extends FirstItemInIndexAwareTest {

    @Test
    public void testCanGetJsonOnSearchEndpoint() {
        ContentSearchResult contentResults = GuardianContentApi.minimalContentSearchQuery().execute();

        checkJson(contentResults);
    }

    @Test
    public void testCanGetJsonOnTagEndpoint() {
        TagSearchResult result = GuardianContentApi.tagSearchQuery().execute();

        checkJson(result);
    }

    @Test
    public void testCanGetJsonOnItemEndpoint() throws Exception {
        ItemResult result = GuardianContentApi.itemQuery(firstItemInIndexApiUrl).execute();

        checkJson(result);
    }

    private <T extends ApiResponse> void checkJson(T result) {
        assertThat(result.getJson(), notNullValue());

        try {
            JSONObject object = JSONObject.fromString(result.getJson()).getJSONObject("response");
            assertThat(object, notNullValue());
        }
        catch (Exception e) {
            fail("Could not parse json: " + result.getJson());
        }
    }
}
