package com.gu.example;

import com.gu.openplatform.contentapi.ContentSearchResult;
import com.gu.openplatform.contentapi.FirstItemInIndexAwareTest;
import com.gu.openplatform.contentapi.GuardianContentApi;
import org.junit.Before;
import org.junit.Test;

import java.util.Date;

import static junit.framework.Assert.assertTrue;
import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.greaterThan;
import static org.hamcrest.Matchers.lessThan;

public class ExampleSearchByDateTest extends FirstItemInIndexAwareTest {

    private Date mostRecentContentDate;

    @Before
    public void setUp() throws Exception {
        mostRecentContentDate = firstItemInIndex.getWebPublicationDate();
    }

    @Test
    public void testCanSearchForSpecificDate() {
        int totalNumberOfResultsInIndex = GuardianContentApi
                .minimalContentSearchQuery()
                .execute()
                .getTotalNumberOfResults();

        ContentSearchResult latestResults = GuardianContentApi
                .minimalContentSearchQuery()
                .fromDate(mostRecentContentDate)
                .toDate(mostRecentContentDate)
                .execute();

        assertTrue(latestResults.isResponseOk());
        assertThat(latestResults.getTotalNumberOfResults(), greaterThan(0));
        assertThat(latestResults.getTotalNumberOfResults(), lessThan(totalNumberOfResultsInIndex));
    }
}
