/**
 *   Copyright 2010 Guardian News And Media 
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 **/

package com.gu.openplatform.contentapi;

import org.junit.Before;
import org.junit.Test;
import org.mockito.Mock;

import static org.hamcrest.Matchers.equalTo;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertThat;
import static org.junit.Assert.assertTrue;

public class ContentSearchResultTest {

    private ContentSearchResult contentSearchResult;
    @Mock private ContentSearchQuery contentQuery;

    @Before
    public void setUp() throws Exception {
        contentSearchResult = new ContentSearchResult(contentQuery);
    }

    @Test
    public void testShowRefinements() throws Exception {
        assertThat(contentSearchResult.getRefinements().size(), equalTo(0));
        assertFalse(contentSearchResult.hasRefinements());

        contentSearchResult.addRefinement(new Refinement(TagType.keyword, "foo", 2, "foo"));

        assertThat(contentSearchResult.getRefinements().size(), equalTo(1));
        assertTrue(contentSearchResult.hasRefinements());
    }
}
