package com.gu.openplatform.contentapi;

import com.gu.openplatform.contentapi.configuration.ConfigurationProfile;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Mock;

import static org.mockito.Matchers.argThat;
import static org.mockito.Mockito.verify;

public class ItemSearchClientHttpParamsTest extends HttpParamsTest {

    private ItemQuery itemQuery;
    @Mock private ItemJsonParser jsonParser;

    @Before
    public void setUp() {
        itemQuery = new ItemQuery(new HttpClient(new ApiUrlFactory(), httpQueryExecutor), jsonParser);
        itemQuery.configure(ConfigurationProfile.allItemTagsAndFields);
    }

    @Test
    public void testApiKeyIsPassedThrough() throws Exception {
        itemQuery.url("/foo").apiKey("test").execute();

        verify(httpQueryExecutor).execute(argThat(expectParameters(new HttpParam(ApiParameter.apiKey, "test"))));
    }
}
