package com.gu.openplatform.contentapi;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import static org.hamcrest.Matchers.greaterThan;
import static org.hamcrest.Matchers.notNullValue;
import static org.junit.Assert.assertThat;

public abstract class RefinementValidator {

    private static final Logger logger = LoggerFactory.getLogger(RefinementValidator.class);

    public static void validateRefinement(Refinement refinement) {
        if (logger.isTraceEnabled())
            logger.trace("Checking refinement " + refinement);

        assertThat(refinement.getId(), notNullValue());
        assertThat(refinement.getDisplayName(), notNullValue());
        assertThat(refinement.getCount(), greaterThan(0));
        assertThat(refinement.getType(), notNullValue());
    }
}
