package com.gu.openplatform.contentapi;

import org.junit.Test;
import org.mockito.Mock;

import static org.hamcrest.Matchers.equalTo;
import static org.junit.Assert.*;

public class TagSearchQueryTest {

    @Mock private HttpClient httpClient;
    @Mock private TagJsonParser jsonParser;

    @Test
    public void testCanClone() throws Exception {
        TagSearchQuery source = new TagSearchQuery(jsonParser, httpClient);
        source.apiKey("foo");
        source.section("foo");
        source.query("foo");
        source.type(TagType.keyword, TagType.blog);

        TagSearchQuery dest = source.cloneForNextPageQuery(2);

        assertThat(2, equalTo(dest.getStartPage()));
        assertThat("foo", equalTo(dest.getApiKey()));
        assertThat(source.getFormatString(), equalTo(dest.getFormatString()));
        assertThat(source.getHttpClient(), equalTo(dest.getHttpClient()));
        assertThat(source.getJsonParser(), equalTo(dest.getJsonParser()));
        assertThat("foo", equalTo(dest.getSection()));
        assertThat(source.getTagTypesToFind(), equalTo(dest.getTagTypesToFind()));
        assertTrue(dest.getTagTypesToFind().contains(TagType.blog));
        assertFalse(source.equals(dest));
    }
}
