/**
 *   Copyright 2010 Guardian News And Media 
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 **/

package com.gu.openplatform.contentapi;

import org.junit.Test;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

public class TagTypeTest {

    @Test
    public void testEquality() throws Exception {
        assertFalse(TagType.typeFor(null).equals(TagType.typeFor(null)));
        assertFalse(TagType.contributor.equals(null));
        assertFalse(TagType.keyword.equals(ContentTagType.typeForId("keyword")));
        assertTrue(TagType.keyword.equals(TagType.typeFor("keyword")));
        assertFalse(TagType.typeFor(null).equals(TagType.typeFor("keyword")));
        assertFalse(TagType.typeFor(null).equals(TagType.typeFor(null)));
        assertFalse(TagType.keyword.equals(TagType.blog));
    }
}

