package com.gu.openplatform.contentapi;

import org.junit.Test;

import static org.hamcrest.MatcherAssert.assertThat;
import static org.hamcrest.Matchers.equalTo;

public class TestSearchEndpointsAreEquivalent {

    @Test
    public void testSearchEndpointsGiveTheSameResults() throws Exception {
        ContentSearchResult minimalResults = GuardianContentApi.minimalContentSearchQuery().execute();
        ContentSearchResult defaultResults = GuardianContentApi.contentSearchQuery().execute();
        ContentSearchResult refinementResults = GuardianContentApi.contentSearchQueryWithRefinements().execute();

        for (int i = 0; i < 10; i++) {
            Content minimalContent = minimalResults.getContent().get(i);
            Content defaultConent = defaultResults.getContent().get(i);
            Content refinementContent = refinementResults.getContent().get(i);

            assertThat(minimalContent, equalTo(defaultConent));
            assertThat(defaultConent, equalTo(refinementContent));
        }

    }
}
